EZ_Begin(3)

NAME
EZ_Begin, EZ_End - delimit the vertices of a primitive

SYNOPSIS
#include <EZ.h>

void  EZ_Begin(int mode)
void  EZ_End(void)

ARGUMENTS
mode Specify the primitive that will be created from vertices between EZ_Begin and the paring EZ_End. mode is one of EZ_LINES, EZ_LINE_STRIP, EZ_LINE_LOOP, EZ_TRIANGLES, EZ_TRIANGLE_STRIP, EZ_TRIANGLE_FAN, EZ_QUADS, EZ_QUAD_STRIP, EZ_POLYGON and EZ_POINTS.

DESCRIPTION

The EZ_Begin and EZ_End pair delimit vertices that define a primitive or a list of primitives. mode determines the interpretation of subsequent vertices. The interpretation of mode is described below.

EZ_LINES Treats each pair of vertices as a separate line segment.

EZ_LINE_STRIP Subsequent vertices defines a polyline.

EZ_LINE_LOOP Subsequent vertices defines a closed polyline.

EZ_TRIANGLES Treats each triplet of vertices as a separate triangle.

EZ_TRIANGLE_STRIP Subsequent vertices defines a triangular strip. The first 3 vertices defines the first triangle; vertices 3,2,4 defines the second triangle; vertices 3,4,5 defines the third triangle ...

EZ_TRIANGLE_FAN Subsequent verticse defines a group of triangles. All of them share the first vertex. Thus, vertices 1,2,3 defines the first triangle; vertices 1,2,4 defines the second triangle ...

EZ_QUADS Treats every group of four vertices as a separate quadrilateral.

EZ_QUAD_STRIP Subsequent verticse defines a group of quadrilaterals. Vertices 1,2,4,3 defines the first one; vertices 3,4,6,5 defines the second one ...

EZ_POLYGON Subsequent vertices defines a polygon.

EZ_POINTS Treats subsequent vertices as individual points.

EZ_Begin/EZ_End pair cannot be nested. The only commands allowed inside a EZ_Begin/EZ_End pair are: EZ_Vertex, EZ_Color, EZ_Index, EZ_Normal, EZ_Material, EZ_Light, EZ_CallList.

SEE ALSO
EZ_Normal3f(3), EZ_Color3f(3), EZ_Index(3)